!------------------------------------------------------------------------------
!
real(fp) FUNCTION FSVTH_Z(E)
!	3/8/77
!============
! idecl:  explicitize implicit INTEGER declarations:
  use iso_c_binding, only: fp => c_double
  use sigtabl_mod, only :A,B,CON,EPS,ITER,IW
  IMPLICIT NONE
!===========
! idecl:  explicitize implicit REAL declarations:
  real(fp) e,z,sige_z
!============
!	THIS FUNCTION WAS WRITTEN BY HARRY H. TOWNER OF THE PRINCETON
!	PLASMA PHYSICS LAB.  THIS FUNCTION CONTAINS THE INTEGRAND
!	NEEDED IN CALCULATING <SIGMA*V> FOR THERMAL REACTIONS.
!	PARAMERTES:
!	E - THE INTEGRATION VARIABLE.
!	PARAMETER LIST FOR COMMON BLOCK CSVTH.
!	A - =RMASS/TMASS.  (SEE SVTH)
!	B - = A/TEMP.  (SEE SVTHE)
!	CON1 - =CON*A**1.5/SQRT(TMASS).  (SEE SVTH)
!	EPS - THE DESIRED RELATIVE ERROR IN THE REACTIVITY
!	ITER - THE MAXIMUM NUMBER OF ITERATIONS TO BE TAKEN IN ORDER
!	IW - THE LOGICAL UNIT USED FOR PRINTING.
  Z=E*EXP(-B*E)
  FSVTH_Z=SIGE_Z(E)*Z
  RETURN
END FUNCTION FSVTH_Z
!
!------------------------------------------------------------------------------
! 30Jun2000 fgtok -s r8_precision.sub "r8con.csh conversion"
